Update dependency on the renamed libgeis

Bug #1046392 reported by Francis Ginther on 2012-09-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
unity-2d
Undecided
Francis Ginther
unity-2d (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

[Impact]
The Unity-2D build dependency libgeis-dev has been renamed. Unity-2D needs to be updated.

[Test Case]
Perform a package build for all packages.
Also, test that touch gestures work for both Unity and Unity-2D in different cases.

[Regression Potential]
None. The new libgeis only contains changes to rename files and symbols. There are no functional changes.

Related branches

Changed in unity-2d:
assignee: nobody → Francis Ginther (fginther)
Changed in unity-2d:
status: New → Fix Committed
description: updated
Changed in unity:
milestone: none → 5.16.0
no longer affects: nux (Ubuntu)
no longer affects: unity (Ubuntu)
Changed in unity:
milestone: 5.16.0 → none
no longer affects: unity
no longer affects: nux
Changed in unity-2d (Ubuntu):
status: New → Fix Committed
Didier Roche (didrocks) on 2012-09-12
Changed in unity-2d (Ubuntu):
status: Fix Committed → Fix Released

Hello Francis, or anyone else affected,

Accepted unity-2d into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity-2d/5.12.0-0ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity-2d (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Francis Ginther (fginther) wrote :

Verified that precise package can be built from source inside a pbuilder chroot. Also verified 2 finger scrolling and 2 finger tap works.

Daniel d'Andrada (dandrader) wrote :

Gestures in unity-2d[1] are still working with version 5.12.0-0ubuntu1.2. Therefore marking as verified

[1] - 4 fingers tap to show dash and 4 fingers drag to hide and show the launcher.

tags: added: verification-done
removed: verification-needed
Adam Conrad (adconrad) wrote :

Hello Francis, or anyone else affected,

Accepted unity-2d into oneiric-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity-2d/4.12.0-0ubuntu1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity-2d (Ubuntu Oneiric):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
tags: added: verification-needed
removed: verification-done
Ricardo Salveti (rsalveti) wrote :

Tested with Precise on ARM (Pandaboard) and the fix didn't bring any other side effect or regression, besides fixing the proposed bug.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 4.12.0-0ubuntu1.3

---------------
unity-2d (4.12.0-0ubuntu1.3) oneiric-proposed; urgency=low

  [ Francis Ginther ]
  * Update build dependency to the renamed libgeis-dev (LP: #1046392)

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/01_fix.patch, debian/patches/02_geis_rename.patch:
    - Added patches for the neccessary upstream changes

  [ Didier Roche ]
  * Build unity-2d against the right version of unity as libgeis-dev and
    libutouch-geis-dev are conflicting
 -- Didier Roche <email address hidden> Fri, 14 Sep 2012 10:33:29 +0200

Changed in unity-2d (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 5.12.0-0ubuntu1.2

---------------
unity-2d (5.12.0-0ubuntu1.2) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Cherry-picked from upstream:
    - Update dependency to the renamed libgeis-dev (LP: #1046392)
  * debian/control:
    - Rename dependency to libgeis-dev

  [ Didier Roche ]
  * debian/control:
    - build-dep on latest nux and unity as libgeis-dev and
      libutouch-geis-dev are conflicting
 -- Didier Roche <email address hidden> Wed, 12 Sep 2012 09:51:58 +0200

Changed in unity-2d (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers